Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws
Class AmazonServiceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.amazonaws.AmazonClientException
                      com.amazonaws.AmazonServiceException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AlreadyExistsException, AmazonS3Exception, AttributeDoesNotExistException, AuthorizationAlreadyExistsException, AuthorizationErrorException, AuthorizationNotFoundException, BucketPermissionException, CanceledJobIdException, DBInstanceAlreadyExistsException, DBInstanceNotFoundException, DBParameterGroupAlreadyExistsException, DBParameterGroupNotFoundException, DBParameterGroupQuotaExceededException, DBSecurityGroupAlreadyExistsException, DBSecurityGroupNotFoundException, DBSecurityGroupQuotaExceededException, DBSnapshotAlreadyExistsException, DBSnapshotNotFoundException, DuplicateItemNameException, DuplicateLoadBalancerNameException, DuplicatePolicyNameException, ExpiredJobIdException, InstanceQuotaExceededException, InsufficientDBInstanceCapacityException, InternalErrorException, InternalServerErrorException, InternalServiceException, InvalidAccessKeyIdException, InvalidAddressException, InvalidAttributeNameException, InvalidConfigurationRequestException, InvalidCustomsException, InvalidDBInstanceStateException, InvalidDBParameterGroupStateException, InvalidDBSecurityGroupStateException, InvalidDBSnapshotStateException, InvalidFileSystemException, InvalidInstanceException, InvalidJobIdException, InvalidManifestFieldException, InvalidMessageContentsException, InvalidNextTokenException, InvalidNextTokenException, InvalidNumberPredicatesException, InvalidNumberValueTestsException, InvalidParameterCombinationException, InvalidParameterException, InvalidParameterException, InvalidParameterValueException, InvalidParameterValueException, InvalidQueryExpressionException, LimitExceededException, ListenerNotFoundException, LoadBalancerNotFoundException, MalformedManifestException, MissingCustomsException, MissingManifestFieldException, MissingParameterException, MissingParameterException, MissingRequiredParameterException, MultipleRegionsException, NoSuchBucketException, NoSuchDomainException, NotFoundException, NumberDomainAttributesExceededException, NumberDomainBytesExceededException, NumberDomainsExceededException, NumberItemAttributesExceededException, NumberSubmittedAttributesExceededException, NumberSubmittedItemsExceededException, PointInTimeRestoreNotEnabledException, PolicyNotFoundException, QueueDeletedRecentlyException, QueueNameExistsException, ReceiptHandleIsInvalidException, RequestTimeoutException, ResourceInUseException, ScalingActivityInProgressException, SnapshotQuotaExceededException, StorageQuotaExceededException, SubscriptionLimitExceededException, TooManyLoadBalancersException, TooManyPoliciesException, TooManyRequestedAttributesException, TopicLimitExceededException, UnableToCancelJobIdException

    public class AmazonServiceException

extends AmazonClientException

Extension of AmazonClientException that represents an error response returned by an Amazon web service. Receiving an exception of this type indicates that the caller's request was correctly transmitted to the service, but for some reason, the service was not able to process it, and returned an error response instead.

AmazonServiceException provides callers several pieces of information that can be used to obtain more information about the error and why it occurred. In particular, the errorType field can be used to determine if the caller's request was invalid, or the service encountered an error on the server side while processing it.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AmazonServiceException.ErrorType` Indicates who is responsible (if known) for a failed request.

Constructor Summary
`AmazonServiceException(String message)` Constructs a new AmazonServiceException with the specified message.
`AmazonServiceException(String message, Exception cause)` Constructs a new AmazonServiceException with the specified message and exception indicating the root cause.

Method Summary
`String` | `getErrorCode()` Returns the AWS error code represented by this exception.
`AmazonServiceException.ErrorType` | `getErrorType()` Indicates who is responsible for this exception (caller, service, or unknown).
`String` | `getRequestId()` Returns the AWS request ID that uniquely identifies the service request the caller made.
`String` | `getServiceName()` Returns the name of the service that sent this error response.
`int` | `getStatusCode()` Returns the HTTP status code that was returned with this service exception.
`void` | `setErrorCode(String errorCode)` Sets the AWS error code represented by this exception.
`void` | `setErrorType(AmazonServiceException.ErrorType errorType)` Sets the type of error represented by this exception (sender, receiver, or unknown), indicating if this exception was the caller's fault, or the service's fault.
`void` | `setRequestId(String requestId)` Sets the AWS requestId for this exception.
`void` | `setServiceName(String serviceName)` Sets the name of the service that sent this error response.
`void` | `setStatusCode(int statusCode)` Sets the HTTP status code that was returned with this service exception.
`String` | `toString()` Returns a string summary of the details of this exception including the HTTP status code, AWS request ID, AWS error code and error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AmazonServiceException

    public AmazonServiceException(String message)

  Constructs a new AmazonServiceException with the specified message.

  Parameters:
    `message` - An error message describing what went wrong.

### AmazonServiceException

    public AmazonServiceException(String message,
                                  Exception cause)

  Constructs a new AmazonServiceException with the specified message and exception indicating the root cause.

  Parameters:
    `message` - An error message describing what went wrong.
    `cause` - The root exception that caused this exception to be thrown.

Method Detail

### setRequestId

    public void setRequestId(String requestId)

  Sets the AWS requestId for this exception.

  Parameters:
    `requestId` - The unique identifier for the service request the caller made.

### getRequestId

    public String getRequestId()

  Returns the AWS request ID that uniquely identifies the service request the caller made.

  Returns:
    The AWS request ID that uniquely identifies the service request the caller made.

### setServiceName

    public void setServiceName(String serviceName)

  Sets the name of the service that sent this error response.

  Parameters:
    `serviceName` - The name of the service that sent this error response.

### getServiceName

    public String getServiceName()

  Returns the name of the service that sent this error response.

  Returns:
    The name of the service that sent this error response.

### setErrorCode

    public void setErrorCode(String errorCode)

  Sets the AWS error code represented by this exception.

  Parameters:
    `errorCode` - The AWS error code represented by this exception.

### getErrorCode

    public String getErrorCode()

  Returns the AWS error code represented by this exception.

  Returns:
    The AWS error code represented by this exception.

### setErrorType

    public void setErrorType(AmazonServiceException.ErrorType errorType)

  Sets the type of error represented by this exception (sender, receiver, or unknown), indicating if this exception was the caller's fault, or the service's fault.

  Parameters:
    `errorType` - The type of error represented by this exception (sender or receiver), indicating if this exception was the caller's fault or the service's fault.

### getErrorType

    public AmazonServiceException.ErrorType getErrorType()

  Indicates who is responsible for this exception (caller, service, or unknown).

  Returns:
    A value indicating who is responsible for this exception (caller, service, or unknown).

### setStatusCode

    public void setStatusCode(int statusCode)

  Sets the HTTP status code that was returned with this service exception.

  Parameters:
    `statusCode` - The HTTP status code that was returned with this service exception.

### getStatusCode

    public int getStatusCode()

  Returns the HTTP status code that was returned with this service exception.

  Returns:
    The HTTP status code that was returned with this service exception.

### toString

    public String toString()

  Returns a string summary of the details of this exception including the HTTP status code, AWS request ID, AWS error code and error message.

  Overrides:
    `toString` in class `Throwable`
  See Also:
    `Throwable.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.